Support Google Talk PPAPI plugin

Bug #1308397 reported by Chris Coulson on 2014-04-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Oxide
High
Unassigned
oxide-qt (Ubuntu)
Undecided
Unassigned

Bug Description

For Google Hangouts to work, we need to be able to use the Google Talk PPAPI plugin. On the browser side, some of the Pepper API is implemented in Chrome, so there is a bit of work to do to support this properly

Changed in oxide:
importance: Undecided → High
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package oxide-qt - 1.0.2-0ubuntu2

---------------
oxide-qt (1.0.2-0ubuntu2) utopic; urgency=medium

  * Update to v1.0.2
    - Bump Chromium to 36.0.1985.49
    - Add experimental support for the Google Talk PPAPI plugin, to support
      Google Hangouts. This is hidden behind an environment variable that
      defaults to off (LP: #1308397)
    - Fix crash in oxide::GetFormFactorHint() on Unity 8 desktop preview
      (LP: #1308398)
    - Fix various issues in GPU related code, including a crash (LP: #1308412)
    - Set no_javascript_access in ContentBrowserClient::CanCreateWindow()
      to fix random window opening failures (LP: #1307735)
    - Add fullscreen API to WebView (LP: #1308947)
    - Set a wait cursor when loading
    - Add geolocation support
    - Add a WebView.geolocationPermissionRequested API
    - Allow unhandled key events to bubble up from the WebView (LP: #1313727)
    - Don't generate keypress events with unmodified text for control
      characters. This makes Oxide behave more like Chrome
    - Add WebView.loadHtml() (LP: #1320848)
    - Ensure we update the visibility in a renderer when a WebView is created
      initially hidden and then made visible before any content is loaded
      (LP: #1322622)
    - Build fixes for Qt 5.3
    - Display controls in media player (LP: #1326852)
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch
  * Don't build with ENABLE_OXIDEQMLSCENE now, as that's the default
    - update debian/rules
  * Update build dependencies - we now depend on ninja
 -- Chris Coulson <email address hidden> Wed, 16 Apr 2014 09:54:56 +0100

Changed in oxide-qt (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers